Data.Configurator.Parser

# High level parsing computations

class ConfigParser m

runParser

data ConfigParserA a

runParserA

parserA

unsafeBind

data ConfigParserM a

runParserM

parserM

recover

# Looking up values by name

key

keyWith

# Discovering names

subgroups

subassocs

subassocs'

# Modifying the configuration context

data Config

data ConfigTransform

localConfig

union

subconfig

superconfig

# Error / warning messages

data ConfigError

data ConfigErrorLocation

data ConversionError

data ConversionErrorWhy